Authenticate application

Accessing Lifen's APIs in Machine To Machine involves obtaining an Access Token with the Client credentials grant flow of OAuth 2.0 from a back-end server.

Get a token : A request to Lifen must be perfomed to generate an access token. In the request, the client has to provide his credentials and some configuration.

Perform an API call : The Access Token allows you to make requests to the API on the behalf of the client. Each request must include the Access Token in the Authorization header using the Bearer format.

Example : curl -H "Authorization: Bearer $ACCESS_TOKEN" https://api.lifen.fr/fhir/v3/$endpoint

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

which you obtain from your account manager

string
required

which you obtain from your account manager

string
required
Defaults to https://production.platform-apis/

the domain where your access token is available

string
required
Defaults to client_credentials

allows you to request server to server Lifen's API

string
required

which you obtain from your account manager, is the identifier connecting your application with a healthcare organization

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json